Read the Search Console connection
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/gsc \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/gsc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/gsc"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"gsc": {
"status": "none",
"property": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}Read the Search Console connection
status is none before a connection and error when Google no longer grants access. Read from our database only; list the properties with GET /gsc/properties.
GET
/
v1
/
projects
/
{id}
/
gsc
Read the Search Console connection
curl --request GET \
--url https://api.seomator.com/v1/projects/{id}/gsc \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.seomator.com/v1/projects/{id}/gsc', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.seomator.com/v1/projects/{id}/gsc"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"gsc": {
"status": "none",
"property": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}{
"error": {
"code": "bad_request",
"message": "<string>",
"requestId": "<string>"
}
}